io.vertx.reactivex.sqlclient

## Class Query<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.Query<T>

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate
  Direct Known Subclasses:
    PreparedQuery

      public class Query<T>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A query.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Query>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`
    `Query(Query delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `void` | `execute()` Execute the query.
    `void` | `execute(Handler<AsyncResult<T>> handler)` Execute the query.
    `Query` | `getDelegate()`
    `int` | `hashCode()`
    `<U> Query<RowSet<U>>` | `mapping(java.util.function.Function<Row,U> mapper)` Use the specified `mapper` for mapping `Row` to ``.
    `static <T> Query<T>` | `newInstance(Query arg)`
    `static <T> Query<T>` | `newInstance(Query arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `Single<T>` | `rxExecute()` Execute the query.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Query> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### Query

          public Query(Query delegate)

    - #### Query

          public Query(Object delegate,
                       io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Query getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### execute

          public void execute(Handler<AsyncResult<T>> handler)

      Execute the query.
      Parameters:
        `handler` - the handler receiving the response

    - #### execute

          public void execute()

      Execute the query.

    - #### rxExecute

          public Single<T> rxExecute()

      Execute the query.
      Returns:

    - #### mapping

          public <U> Query<RowSet<U>> mapping(java.util.function.Function<Row,U> mapper)

      Use the specified `mapper` for mapping `Row` to ``.
      Parameters:
        `mapper` -
      Returns:

    - #### newInstance

          public static <T> Query<T> newInstance(Query arg)

    - #### newInstance

          public static <T> Query<T> newInstance(Query arg,
                                                 io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2025 Eclipse. All rights reserved.